Bug 41342 - Android.App.Application.OnCreate not called before first activity is shown
Summary: Android.App.Application.OnCreate not called before first activity is shown
Status: VERIFIED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: General (show other bugs)
Version: unspecified
Hardware: Macintosh Windows
: --- major
Target Milestone: 7.0 (C8)
Assignee: Jonathan Pryor
URL:
Depends on:
Blocks:
 
Reported: 2016-05-26 20:03 UTC by pragma.mobilexp
Modified: 2016-07-07 11:58 UTC (History)
5 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Repo of the issue (11.65 KB, application/x-rar)
2016-05-26 21:03 UTC, pragma.mobilexp
Details

Description pragma.mobilexp 2016-05-26 20:03:54 UTC
# Steps to reproduce
Create Android application that has custom class that inherits from Android.App.Application.  Override the OnCreate method and put breakpoint in there.  Start the application.  

# Expected behavior
Application.OnCreate should be called before showing Activity.  This will allow me to call call RegisterActivityLifeCycleCallbacks to register for receiving Activity lifecycle callbacks

# Actual behavior
Application.OnCreate is never called

# Supplemental info (logs, images, videos)


# Test environment (full version information)
Microsoft Visual Studio Enterprise 2015
Version 14.0.25123.00 Update 2
Microsoft .NET Framework
Version 4.6.01038

Installed Version: Enterprise

Architecture and Modeling Tools   00322-90000-03560-AA577
Microsoft Architecture and Modeling Tools
    
UML® and Unified Modeling Language™ are trademarks or registered trademarks of the Object Management Group, Inc. in the United States and other countries.

Visual Basic 2015   00322-90000-03560-AA577
Microsoft Visual Basic 2015

Visual C# 2015   00322-90000-03560-AA577
Microsoft Visual C# 2015

Visual C++ 2015   00322-90000-03560-AA577
Microsoft Visual C++ 2015

Visual F# 2015   00322-90000-03560-AA577
Microsoft Visual F# 2015

Windows Phone SDK 8.0 - ENU   00322-90000-03560-AA577
Windows Phone SDK 8.0 - ENU

ASP.NET and Web Tools 2015 (RC1 Update 1)   14.1.20203.0
ASP.NET and Web Tools 2015 (RC1 Update 1)

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.40314.0
For additional information, visit http://www.asp.net/

Azure App Service Tools v2.9   14.0.20316.0
Azure App Service Tools v2.9

Azure Data Lake Node   1.0
This package contains the Data Lake integration nodes for Server Explorer.

Azure Data Lake Tools for Visual Studio   2.0.6000.0
Microsoft Azure Data Lake Tools for Visual Studio

Color Theme Designer   1.0
Designer for creating new color themes

Common Azure Tools   1.7
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

File Nesting   2.4.58
Automatically nest files based on file name and enables developers to nest and unnest any file manually

GitHub.VisualStudio   1.0
A Visual Studio Extension that brings the GitHub Flow into Visual Studio.

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

JetBrains ReSharper Ultimate 2016.1.2    Build 105.0.20160522.80219
JetBrains ReSharper Ultimate package for Microsoft Visual Studio. For more information about ReSharper Ultimate, visit http://www.jetbrains.com/resharper. Copyright © 2016 JetBrains, Inc.

Microsoft Azure HDInsight HQL Service   2.0.6000.0
Language service for Hive query

Microsoft Azure HDInsight Tools for Visual Studio   2.0.6000.0
An integrated development environment for HDInsight application development.

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

Microsoft Azure Tools   2.9
Microsoft Azure Tools for Microsoft Visual Studio 2015 - v2.9.40323.3

Microsoft Team Foundation Server 2015 Power Tools   14.0
Power Tools that extend the Team Foundation Server integration with Visual Studio.

Microsoft Visual Studio Process Editor   1.0
Process Editor for Microsoft Visual Studio Team Foundation Server

NuGet Package Manager   3.4.3
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

RenameVSWindowTitle 3   1.0
Information about my package

ResXFileCodeGeneratorEx Package   1.0
Installs the ResXFileCodeGeneratorEx custom tool

SQL Server Data Tools   14.0.60311.1
Microsoft SQL Server Data Tools

TFS Source Control Explorer Extension   1.0
Visual Studio Extension for Team Foundation Server Source Control Explorer

ToolWindowHostedEditor   1.0
Hosting json editor into a tool window

TypeScript   1.8.29.0
TypeScript tools for Visual Studio

Visual Studio Tools for Universal Windows Apps   14.0.25123.00
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Xamarin   4.1.0.517 (2a984fb)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin Inspector Support   0.8.0.0 (dc081aa)
Adds support for inspecting Xamarin and WPF apps.

Xamarin.Android   6.1.0.69 (5263594)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   9.8.0.319 (7b89851)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 1 Jonathan Pryor 2016-05-26 20:12:36 UTC
Please provide a test case which demonstrates the problem.

Have you placed an `[Application]` custom attribute on your Application subclass?
Comment 2 pragma.mobilexp 2016-05-26 20:33:07 UTC
Hi Jonathan

Yes, was about to reply that I forgot the attribute.  I've added it now and the breakpoint is now being hit, but I'm running into other issues in this space when calling RegisterActivityForLifecycleCallbacks.  Busy trying to narrow it down.  Here's the exception i'm getting...  Still investigating why


05-26 22:26:02.399 E/art     ( 2320): JNI ERROR (app bug): attempt to pass an instance of phil.AndroidApp as argument 1 to void android.app.Application.registerActivityLifecycleCallbacks(android.app.Application$ActivityLifecycleCallbacks)
referenceTable GDEF length=814 1
referenceTable GSUB length=11364 1
referenceTable GPOS length=47302 1
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410] JNI DETECTED ERROR IN APPLICATION: bad arguments passed to void android.app.Application.registerActivityLifecycleCallbacks(android.app.Application$ActivityLifecycleCallbacks) (see above for details)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]     from void phil.AndroidApp.n_onCreate()
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410] "main" prio=5 tid=1 Runnable
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   | group="main" sCount=0 dsCount=0 obj=0x749bf258 self=0xb40f4a00
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   | sysTid=2320 nice=0 cgrp=default sched=0/0 handle=0xb77e2c00
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   | state=R schedstat=( 490160411 199817660 1011 ) utm=12 stm=36 core=0 HZ=100
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   | stack=0xbf1e6000-0xbf1e8000 stackSize=8MB
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   | held mutexes= "mutator lock"(shared held)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #00 pc 0058bd02  /system/lib/libart.so (art::DumpNativeStack(std::__1::basic_ostream<char, std::__1::char_traits<char> >&, int, char const*, art::ArtMethod*, void*)+226)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #01 pc 0055194e  /system/lib/libart.so (art::Thread::Dump(std::__1::basic_ostream<char, std::__1::char_traits<char> >&) const+286)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #02 pc 003a482f  /system/lib/libart.so (art::JavaVMExt::JniAbort(char const*, char const*)+1247)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #03 pc 003a5f52  /system/lib/libart.so (art::JavaVMExt::JniAbortF(char const*, char const*, ...)+116)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #04 pc 0050b8bd  /system/lib/libart.so (art::CheckMethodArguments(art::JavaVMExt*, art::ArtMethod*, unsigned int*)+2109)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #05 pc 0050bd8a  /system/lib/libart.so (art::InvokeWithJValues(art::ScopedObjectAccessAlreadyRunnable const&, _jobject*, _jmethodID*, jvalue*)+922)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #06 pc 003d88a5  /system/lib/libart.so (art::JNI::CallNonvirtualVoidMethodA(_JNIEnv*, _jobject*, _jclass*, _jmethodID*, jvalue*)+588)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #07 pc 00186593  /system/lib/libart.so (art::CheckJNI::CallMethodA(char const*, _JNIEnv*, _jobject*, _jclass*, _jmethodID*, jvalue*, art::Primitive::Type, art::InvokeType)+4691)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #08 pc 00186a20  /system/lib/libart.so (art::CheckJNI::CallNonvirtualVoidMethodA(_JNIEnv*, _jobject*, _jclass*, _jmethodID*, jvalue*)+92)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #09 pc 0000980e  /data/app/com.pragmaholdings.hsselogger-1/lib/x86/libmonodroid.so (java_interop_jnienv_call_nonvirtual_void_method_a+66)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #10 pc 00016bbf   (???)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #11 pc 00016a3f   (???)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #12 pc 0000a29b   (???)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #13 pc 0000b42f   (???)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #14 pc 00009e0f   (???)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #15 pc 00009108   (???)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #16 pc 0000015f   (???)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #17 pc 0001c263   (???)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #18 pc 0067ca54  /data/app/com.pragmaholdings.hsselogger-1/oat/x86/base.odex (void phil.AndroidApp.n_onCreate()+104)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #19 pc 0067cc98  /data/app/com.pragmaholdings.hsselogger-1/oat/x86/base.odex (void phil.AndroidApp.onCreate()+60)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #20 pc 00aa0f5f  /data/dalvik-cache/x86/system@framework@boot.oat (???)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   native: #21 pc 8c88972a  ???
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   at phil.AndroidApp.n_onCreate(Native method)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   at phil.AndroidApp.onCreate(AndroidApp.java:25)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   at android.app.Instrumentation.callApplicationOnCreate(Instrumentation.java:1013)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   at android.app.ActivityThread.handleBindApplication(ActivityThread.java:4707)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   at android.app.ActivityThread.-wrap1(ActivityThread.java:-1)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1405)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   at android.os.Handler.dispatchMessage(Handler.java:102)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   at android.os.Looper.loop(Looper.java:148)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   at android.app.ActivityThread.main(ActivityThread.java:5417)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   at java.lang.reflect.Method.invoke!(Native method)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:726)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410]   at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:616)
05-26 22:26:02.414 F/art     ( 2320): art/runtime/java_vm_ext.cc:410] 
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366] Runtime aborting...
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366] Aborting thread:
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366] "main" prio=5 tid=1 Native
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | group="" sCount=0 dsCount=0 obj=0x749bf258 self=0xb40f4a00
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | sysTid=2320 nice=0 cgrp=default sched=0/0 handle=0xb77e2c00
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | state=R schedstat=( 504258950 200814249 1017 ) utm=14 stm=36 core=0 HZ=100
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | stack=0xbf1e6000-0xbf1e8000 stackSize=8MB
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | held mutexes= "abort lock"
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #00 pc 0058bd02  /system/lib/libart.so (art::DumpNativeStack(std::__1::basic_ostream<char, std::__1::char_traits<char> >&, int, char const*, art::ArtMethod*, void*)+226)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #01 pc 0055194e  /system/lib/libart.so (art::Thread::Dump(std::__1::basic_ostream<char, std::__1::char_traits<char> >&) const+286)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #02 pc 005176de  /system/lib/libart.so (art::Runtime::Abort()+1164)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #03 pc 0014d9f3  /system/lib/libart.so (art::LogMessage::~LogMessage()+1343)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #04 pc 003a5252  /system/lib/libart.so (art::JavaVMExt::JniAbort(char const*, char const*)+3842)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #05 pc 003a5f52  /system/lib/libart.so (art::JavaVMExt::JniAbortF(char const*, char const*, ...)+116)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #06 pc 0050b8bd  /system/lib/libart.so (art::CheckMethodArguments(art::JavaVMExt*, art::ArtMethod*, unsigned int*)+2109)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #07 pc 0050bd8a  /system/lib/libart.so (art::InvokeWithJValues(art::ScopedObjectAccessAlreadyRunnable const&, _jobject*, _jmethodID*, jvalue*)+922)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #08 pc 003d88a5  /system/lib/libart.so (art::JNI::CallNonvirtualVoidMethodA(_JNIEnv*, _jobject*, _jclass*, _jmethodID*, jvalue*)+588)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #09 pc 00186593  /system/lib/libart.so (art::CheckJNI::CallMethodA(char const*, _JNIEnv*, _jobject*, _jclass*, _jmethodID*, jvalue*, art::Primitive::Type, art::InvokeType)+4691)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #10 pc 00186a20  /system/lib/libart.so (art::CheckJNI::CallNonvirtualVoidMethodA(_JNIEnv*, _jobject*, _jclass*, _jmethodID*, jvalue*)+92)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #11 pc 0000980e  /data/app/com.pragmaholdings.hsselogger-1/lib/x86/libmonodroid.so (java_interop_jnienv_call_nonvirtual_void_method_a+66)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #12 pc 00016bbf   (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #13 pc 00016a3f   (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #14 pc 0000a29b   (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #15 pc 0000b42f   (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #16 pc 00009e0f   (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #17 pc 00009108   (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #18 pc 0000015f   (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #19 pc 0001c263   (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #20 pc 0067ca54  /data/app/com.pragmaholdings.hsselogger-1/oat/x86/base.odex (void phil.AndroidApp.n_onCreate()+104)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #21 pc 0067cc98  /data/app/com.pragmaholdings.hsselogger-1/oat/x86/base.odex (void phil.AndroidApp.onCreate()+60)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #22 pc 00aa0f5f  /data/dalvik-cache/x86/system@framework@boot.oat (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #23 pc 8c88972a  ???
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at phil.AndroidApp.n_onCreate(Native method)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at phil.AndroidApp.onCreate(AndroidApp.java:25)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at android.app.Instrumentation.callApplicationOnCreate(Instrumentation.java:1013)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at android.app.ActivityThread.handleBindApplication(ActivityThread.java:4707)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at android.app.ActivityThread.-wrap1(ActivityThread.java:-1)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1405)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at android.os.Handler.dispatchMessage(Handler.java:102)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at android.os.Looper.loop(Looper.java:148)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at android.app.ActivityThread.main(ActivityThread.java:5417)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at java.lang.reflect.Method.invoke!(Native method)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:726)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:616)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366] Dumping all threads without appropriate locks held: thread list lock mutator lock
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366] All threads:
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366] DALVIK THREADS (11):
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366] "main" prio=5 tid=1 Runnable
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | group="" sCount=0 dsCount=0 obj=0x749bf258 self=0xb40f4a00
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | sysTid=2320 nice=0 cgrp=default sched=0/0 handle=0xb77e2c00
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | state=R schedstat=( 505916736 201072546 1020 ) utm=14 stm=36 core=0 HZ=100
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | stack=0xbf1e6000-0xbf1e8000 stackSize=8MB
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | held mutexes= "abort lock" "mutator lock"(shared held)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #00 pc 0058bd02  /system/lib/libart.so (art::DumpNativeStack(std::__1::basic_ostream<char, std::__1::char_traits<char> >&, int, char const*, art::ArtMethod*, void*)+226)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #01 pc 0055194e  /system/lib/libart.so (art::Thread::Dump(std::__1::basic_ostream<char, std::__1::char_traits<char> >&) const+286)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #02 pc 0055c25b  /system/lib/libart.so (art::DumpCheckpoint::Run(art::Thread*)+923)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #03 pc 0055edfd  /system/lib/libart.so (art::ThreadList::RunCheckpoint(art::Closure*)+301)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #04 pc 005600f3  /system/lib/libart.so (art::ThreadList::Dump(std::__1::basic_ostream<char, std::__1::char_traits<char> >&)+243)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #05 pc 00517548  /system/lib/libart.so (art::Runtime::Abort()+758)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #06 pc 0014d9f3  /system/lib/libart.so (art::LogMessage::~LogMessage()+1343)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #07 pc 003a5252  /system/lib/libart.so (art::JavaVMExt::JniAbort(char const*, char const*)+3842)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #08 pc 003a5f52  /system/lib/libart.so (art::JavaVMExt::JniAbortF(char const*, char const*, ...)+116)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #09 pc 0050b8bd  /system/lib/libart.so (art::CheckMethodArguments(art::JavaVMExt*, art::ArtMethod*, unsigned int*)+2109)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #10 pc 0050bd8a  /system/lib/libart.so (art::InvokeWithJValues(art::ScopedObjectAccessAlreadyRunnable const&, _jobject*, _jmethodID*, jvalue*)+922)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #11 pc 003d88a5  /system/lib/libart.so (art::JNI::CallNonvirtualVoidMethodA(_JNIEnv*, _jobject*, _jclass*, _jmethodID*, jvalue*)+588)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #12 pc 00186593  /system/lib/libart.so (art::CheckJNI::CallMethodA(char const*, _JNIEnv*, _jobject*, _jclass*, _jmethodID*, jvalue*, art::Primitive::Type, art::InvokeType)+4691)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #13 pc 00186a20  /system/lib/libart.so (art::CheckJNI::CallNonvirtualVoidMethodA(_JNIEnv*, _jobject*, _jclass*, _jmethodID*, jvalue*)+92)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #14 pc 0000980e  /data/app/com.pragmaholdings.hsselogger-1/lib/x86/libmonodroid.so (java_interop_jnienv_call_nonvirtual_void_method_a+66)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #15 pc 00016bbf   (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #16 pc 00016a3f   (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #17 pc 0000a29b   (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #18 pc 0000b42f   (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #19 pc 00009e0f   (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #20 pc 00009108   (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #21 pc 0000015f   (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #22 pc 0001c263   (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #23 pc 0067ca54  /data/app/com.pragmaholdings.hsselogger-1/oat/x86/base.odex (void phil.AndroidApp.n_onCreate()+104)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #24 pc 0067cc98  /data/app/com.pragmaholdings.hsselogger-1/oat/x86/base.odex (void phil.AndroidApp.onCreate()+60)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #25 pc 00aa0f5f  /data/dalvik-cache/x86/system@framework@boot.oat (???)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #26 pc 8c88972a  ???
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at phil.AndroidApp.n_onCreate(Native method)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at phil.AndroidApp.onCreate(AndroidApp.java:25)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at android.app.Instrumentation.callApplicationOnCreate(Instrumentation.java:1013)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at android.app.ActivityThread.handleBindApplication(ActivityThread.java:4707)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at android.app.ActivityThread.-wrap1(ActivityThread.java:-1)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1405)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at android.os.Handler.dispatchMessage(Handler.java:102)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at android.os.Looper.loop(Looper.java:148)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at android.app.ActivityThread.main(ActivityThread.java:5417)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at java.lang.reflect.Method.invoke!(Native method)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:726)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:616)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366] 
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366] "Signal Catcher" prio=5 tid=2 WaitingInMainSignalCatcherLoop
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | group="" sCount=1 dsCount=0 obj=0x12cf90a0 self=0xadb0d700
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | sysTid=2325 nice=0 cgrp=default sched=0/0 handle=0xb34f1930
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | state=S schedstat=( 516025 13704815 1 ) utm=0 stm=0 core=0 HZ=100
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | stack=0xb33f5000-0xb33f7000 stackSize=1014KB
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | held mutexes=
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: do_sigtimedwait+0x135/0x1c0
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: SYSC_rt_sigtimedwait+0x64/0xc0
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: SyS_rt_sigtimedwait+0x1f/0x30
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: syscall_call+0x7/0xb
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #00 pc 0008383b  /system/lib/libc.so (__rt_sigtimedwait+27)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #01 pc 00027fcc  /system/lib/libc.so (sigwait+69)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #02 pc 00522bd6  /system/lib/libart.so (art::SignalCatcher::WaitForSignal(art::Thread*, art::SignalSet&)+118)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #03 pc 005263ce  /system/lib/libart.so (art::SignalCatcher::Run(void*)+302)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #04 pc 00080a93  /system/lib/libc.so (__pthread_start(void*)+56)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #05 pc 00021952  /system/lib/libc.so (__start_thread+25)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #06 pc 000170b6  /system/lib/libc.so (__bionic_clone+70)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   (no managed stack frames)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366] 
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366] "JDWP" prio=5 tid=3 WaitingInMainDebuggerLoop
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | group="" sCount=1 dsCount=0 obj=0x12cfc0a0 self=0xadb0eb00
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | sysTid=2326 nice=0 cgrp=default sched=0/0 handle=0xaf7ff930
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | state=S schedstat=( 516009 17603414 4 ) utm=0 stm=0 core=0 HZ=100
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | stack=0xaf703000-0xaf705000 stackSize=1014KB
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   | held mutexes=
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: unix_stream_recvmsg+0x226/0x660
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: sock_recvmsg+0x8e/0xc0
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: ___sys_recvmsg+0x111/0x1e0
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: __sys_recvmsg+0x38/0x70
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: SyS_recvmsg+0x16/0x20
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: SyS_socketcall+0x2b3/0x2f0
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: syscall_call+0x7/0xb
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #00 pc 00084b71  /system/lib/libc.so (recvmsg+17)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #01 pc 0066e27f  /system/lib/libart.so (art::JDWP::JdwpAdbState::Accept()+267)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #02 pc 003be9fa  /system/lib/libart.so (art::JDWP::JdwpState::Run()+282)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #03 pc 003c08b1  /system/lib/libart.so (art::JDWP::StartJdwpThread(void*)+32)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #04 pc 00080a93  /system/lib/libc.so (__pthread_start(void*)+56)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #05 pc 00021952  /system/lib/libc.so (__start_thread+25)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #06 pc 000170b6  /system/lib/libc.so (__bionic_clone+70)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366]   (no managed stack frames)
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366] 
05-26 22:26:02.447 F/art     ( 2320): art/runtime/runtime.cc:366] "HeapTaskDaemon" prio=5 tid=4 Blocked
05-26 22:26:02.448 F/art     ( 2320): art/runtime/runtime.cc:366]   | group="" sCount=1 dsCount=0 obj=0x12cf53a0 self=0xadb16800
05-26 22:26:02.448 F/art     ( 2320): art/runtime/runtime.cc:366]   | sysTid=2330 nice=0 cgrp=default sched=0/0 handle=0xa51fa930
05-26 22:26:02.448 F/art     ( 2320): art/runtime/runtime.cc:366]   | state=S schedstat=( 261003 16645824 7 ) utm=0 stm=0 core=0 HZ=100
05-26 22:26:02.448 F/art     ( 2320): art/runtime/runtime.cc:366]   | stack=0xa50f8000-0xa50fa000 stackSize=1038KB
05-26 22:26:02.448 F/art     ( 2320): art/runtime/runtime.cc:366]   | held mutexes=
05-26 22:26:02.448 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: futex_wait_queue_me+0xcc/0x120
05-26 22:26:02.448 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: futex_wait+0x154/0x240
05-26 22:26:02.448 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: do_futex+0xcb/0x9e0
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: SyS_futex+0x8c/0x140
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: syscall_call+0x7/0xb
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #00 pc 000171e0  /system/lib/libc.so (syscall+32)
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #01 pc 00155034  /system/lib/libart.so (art::ConditionVariable::WaitHoldingLocks(art::Thread*)+772)
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #02 pc 002da419  /system/lib/libart.so (art::gc::TaskProcessor::GetTask(art::Thread*)+153)
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #03 pc 002daf35  /system/lib/libart.so (art::gc::TaskProcessor::RunAllTasks(art::Thread*)+37)
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #04 pc 0045f34c  /system/lib/libart.so (art::VMRuntime_runHeapTasks(_JNIEnv*, _jobject*)+53)
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #05 pc 00000494  /data/dalvik-cache/x86/system@framework@boot.oat (Java_dalvik_system_VMRuntime_runHeapTasks__+104)
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   at dalvik.system.VMRuntime.runHeapTasks(Native method)
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   - waiting to lock an unknown object
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   at java.lang.Daemons$HeapTaskDaemon.run(Daemons.java:355)
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   at java.lang.Thread.run(Thread.java:818)
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366] 
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366] "FinalizerWatchdogDaemon" prio=5 tid=5 Waiting
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   | group="" sCount=1 dsCount=0 obj=0x12cf5340 self=0xadb16300
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   | sysTid=2329 nice=0 cgrp=default sched=0/0 handle=0xa52ff930
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   | state=S schedstat=( 284794 16771982 6 ) utm=0 stm=0 core=0 HZ=100
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   | stack=0xa51fd000-0xa51ff000 stackSize=1038KB
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   | held mutexes=
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: futex_wait_queue_me+0xcc/0x120
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: futex_wait+0x154/0x240
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: do_futex+0xcb/0x9e0
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: SyS_futex+0x8c/0x140
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: syscall_call+0x7/0xb
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #00 pc 000171e0  /system/lib/libc.so (syscall+32)
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #01 pc 00155034  /system/lib/libart.so (art::ConditionVariable::WaitHoldingLocks(art::Thread*)+772)
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #02 pc 0044f511  /system/lib/libart.so (art::Monitor::Wait(art::Thread*, long long, int, bool, art::ThreadState)+1777)
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #03 pc 00453195  /system/lib/libart.so (art::Monitor::Wait(art::Thread*, art::mirror::Object*, long long, int, bool, art::ThreadState)+197)
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #04 pc 00470aa9  /system/lib/libart.so (art::Object_wait(_JNIEnv*, _jobject*)+90)
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #05 pc 00000494  /data/dalvik-cache/x86/system@framework@boot.oat (Java_java_lang_Object_wait__+104)
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #06 pc 4b40d9d7  ???
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   at java.lang.Object.wait!(Native method)
05-26 22:26:02.449 F/art     ( 2320): art/runtime/runtime.cc:366]   - waiting on <0x0fc5b434> (a java.lang.Daemons$FinalizerWatchdogDaemon)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   at java.lang.Daemons$FinalizerWatchdogDaemon.waitForObject(Daemons.java:255)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   - locked <0x0fc5b434> (a java.lang.Daemons$FinalizerWatchdogDaemon)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   at java.lang.Daemons$FinalizerWatchdogDaemon.run(Daemons.java:227)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   at java.lang.Thread.run(Thread.java:818)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366] 
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366] "Binder_1" prio=5 tid=6 Native
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | group="" sCount=1 dsCount=0 obj=0x12d110a0 self=0xadb16d00
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | sysTid=2331 nice=0 cgrp=default sched=0/0 handle=0xa4ff7930
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | state=S schedstat=( 2273520 19167534 23 ) utm=0 stm=0 core=0 HZ=100
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | stack=0xa4efb000-0xa4efd000 stackSize=1014KB
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | held mutexes=
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: binder_thread_read+0xb04/0xed0
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: binder_ioctl+0x4b9/0x790
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: do_vfs_ioctl+0x2e6/0x4e0
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: SyS_ioctl+0x60/0x80
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: syscall_call+0x7/0xb
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #00 pc 00083564  /system/lib/libc.so (__ioctl+20)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #01 pc 00094f8a  /system/lib/libc.so (ioctl+42)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #02 pc 000267ab  /system/lib/libbinder.so (android::IPCThreadState::talkWithDriver(bool)+187)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #03 pc 000270e7  /system/lib/libbinder.so (android::IPCThreadState::getAndExecuteCommand()+37)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #04 pc 00027227  /system/lib/libbinder.so (android::IPCThreadState::joinThreadPool(bool)+151)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #05 pc 0003004a  /system/lib/libbinder.so (android::PoolThread::threadLoop()+40)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #06 pc 00014aac  /system/lib/libutils.so (android::Thread::_threadLoop(void*)+418)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #07 pc 0006bfee  /system/lib/libandroid_runtime.so (android::AndroidRuntime::javaThreadShell(void*)+98)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #08 pc 000141cf  /system/lib/libutils.so (thread_data_t::trampoline(thread_data_t const*)+122)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #09 pc 00080a93  /system/lib/libc.so (__pthread_start(void*)+56)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #10 pc 00021952  /system/lib/libc.so (__start_thread+25)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #11 pc 000170b6  /system/lib/libc.so (__bionic_clone+70)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   (no managed stack frames)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366] 
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366] "FinalizerDaemon" prio=5 tid=7 Waiting
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | group="" sCount=1 dsCount=0 obj=0x12cf52e0 self=0xadb15e00
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | sysTid=2328 nice=0 cgrp=default sched=0/0 handle=0xa5404930
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | state=S schedstat=( 296126 16896589 8 ) utm=0 stm=0 core=0 HZ=100
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | stack=0xa5302000-0xa5304000 stackSize=1038KB
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | held mutexes=
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: futex_wait_queue_me+0xcc/0x120
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: futex_wait+0x154/0x240
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: do_futex+0xcb/0x9e0
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: SyS_futex+0x8c/0x140
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: syscall_call+0x7/0xb
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #00 pc 000171e0  /system/lib/libc.so (syscall+32)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #01 pc 00155034  /system/lib/libart.so (art::ConditionVariable::WaitHoldingLocks(art::Thread*)+772)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #02 pc 0044f511  /system/lib/libart.so (art::Monitor::Wait(art::Thread*, long long, int, bool, art::ThreadState)+1777)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #03 pc 00453195  /system/lib/libart.so (art::Monitor::Wait(art::Thread*, art::mirror::Object*, long long, int, bool, art::ThreadState)+197)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #04 pc 00470b0c  /system/lib/libart.so (art::Object_waitJI(_JNIEnv*, _jobject*, long long, int)+92)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #05 pc 00000704  /data/dalvik-cache/x86/system@framework@boot.oat (Java_java_lang_Object_wait__JI+136)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #06 pc 4b40d9ef  ???
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #07 pc 4b40da07  ???
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   at java.lang.Object.wait!(Native method)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   - waiting on <0x084dc25d> (a java.lang.ref.ReferenceQueue)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   at java.lang.Object.wait(Object.java:423)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:101)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   - locked <0x084dc25d> (a java.lang.ref.ReferenceQueue)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:72)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   at java.lang.Daemons$FinalizerDaemon.run(Daemons.java:185)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   at java.lang.Thread.run(Thread.java:818)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366] 
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366] "ReferenceQueueDaemon" prio=5 tid=8 Waiting
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | group="" sCount=1 dsCount=0 obj=0x12cf5280 self=0xadb14f00
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | sysTid=2327 nice=0 cgrp=default sched=0/0 handle=0xa5509930
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | state=S schedstat=( 251546 17706811 8 ) utm=0 stm=0 core=0 HZ=100
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | stack=0xa5407000-0xa5409000 stackSize=1038KB
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | held mutexes=
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: futex_wait_queue_me+0xcc/0x120
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: futex_wait+0x154/0x240
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: do_futex+0xcb/0x9e0
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: SyS_futex+0x8c/0x140
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: syscall_call+0x7/0xb
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #00 pc 000171e0  /system/lib/libc.so (syscall+32)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #01 pc 00155034  /system/lib/libart.so (art::ConditionVariable::WaitHoldingLocks(art::Thread*)+772)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #02 pc 0044f511  /system/lib/libart.so (art::Monitor::Wait(art::Thread*, long long, int, bool, art::ThreadState)+1777)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #03 pc 00453195  /system/lib/libart.so (art::Monitor::Wait(art::Thread*, art::mirror::Object*, long long, int, bool, art::ThreadState)+197)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #04 pc 00470aa9  /system/lib/libart.so (art::Object_wait(_JNIEnv*, _jobject*)+90)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #05 pc 00000494  /data/dalvik-cache/x86/system@framework@boot.oat (Java_java_lang_Object_wait__+104)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #06 pc 8b018b33  ???
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   at java.lang.Object.wait!(Native method)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   - waiting on <0x0b4247d2> (a java.lang.Class<java.lang.ref.ReferenceQueue>)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   at java.lang.Daemons$ReferenceQueueDaemon.run(Daemons.java:147)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   - locked <0x0b4247d2> (a java.lang.Class<java.lang.ref.ReferenceQueue>)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   at java.lang.Thread.run(Thread.java:818)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366] 
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366] "Binder_2" prio=5 tid=9 Native
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | group="" sCount=1 dsCount=0 obj=0x12d470a0 self=0xadb18100
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | sysTid=2332 nice=0 cgrp=default sched=0/0 handle=0xa4ef8930
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | state=S schedstat=( 352135 12120663 2 ) utm=0 stm=0 core=0 HZ=100
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | stack=0xa4dfc000-0xa4dfe000 stackSize=1014KB
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | held mutexes=
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: binder_thread_read+0xb04/0xed0
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: binder_ioctl+0x4b9/0x790
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: do_vfs_ioctl+0x2e6/0x4e0
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: SyS_ioctl+0x60/0x80
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: syscall_call+0x7/0xb
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #00 pc 00083564  /system/lib/libc.so (__ioctl+20)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #01 pc 00094f8a  /system/lib/libc.so (ioctl+42)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #02 pc 000267ab  /system/lib/libbinder.so (android::IPCThreadState::talkWithDriver(bool)+187)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #03 pc 000270e7  /system/lib/libbinder.so (android::IPCThreadState::getAndExecuteCommand()+37)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #04 pc 000271e1  /system/lib/libbinder.so (android::IPCThreadState::joinThreadPool(bool)+81)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #05 pc 0003004a  /system/lib/libbinder.so (android::PoolThread::threadLoop()+40)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #06 pc 00014aac  /system/lib/libutils.so (android::Thread::_threadLoop(void*)+418)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #07 pc 0006bfee  /system/lib/libandroid_runtime.so (android::AndroidRuntime::javaThreadShell(void*)+98)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #08 pc 000141cf  /system/lib/libutils.so (thread_data_t::trampoline(thread_data_t const*)+122)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #09 pc 00080a93  /system/lib/libc.so (__pthread_start(void*)+56)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #10 pc 00021952  /system/lib/libc.so (__start_thread+25)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #11 pc 000170b6  /system/lib/libc.so (__bionic_clone+70)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   (no managed stack frames)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366] 
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366] "Thread-171" prio=5 tid=10 Native
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | group="" sCount=1 dsCount=0 obj=0x12d7c0a0 self=0xb40f5e00
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | sysTid=2339 nice=0 cgrp=default sched=0/0 handle=0x9ddfb930
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | state=S schedstat=( 2282958 7849222 163 ) utm=0 stm=0 core=0 HZ=100
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | stack=0x9dcfd000-0x9dcff000 stackSize=1022KB
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | held mutexes=
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: futex_wait_queue_me+0xcc/0x120
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: futex_wait+0x154/0x240
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: do_futex+0xcb/0x9e0
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: SyS_futex+0x8c/0x140
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: syscall_call+0x7/0xb
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #00 pc 000171e0  /system/lib/libc.so (syscall+32)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #01 pc 000276f1  /system/lib/libc.so (sem_wait+169)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #02 pc 001c4b65  /data/app/Mono.Android.DebugRuntime-1/lib/x86/libmonosgen-32bit-2.0.so (???)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #03 pc 001af469  /data/app/Mono.Android.DebugRuntime-1/lib/x86/libmonosgen-32bit-2.0.so (???)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #04 pc 0025e721  /data/app/Mono.Android.DebugRuntime-1/lib/x86/libmonosgen-32bit-2.0.so (???)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #05 pc 00080a93  /system/lib/libc.so (__pthread_start(void*)+56)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #06 pc 00021952  /system/lib/libc.so (__start_thread+25)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #07 pc 000170b6  /system/lib/libc.so (__bionic_clone+70)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   (no managed stack frames)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366] 
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366] "Thread-172" prio=5 tid=11 Native
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | group="" sCount=1 dsCount=0 obj=0x12d810a0 self=0xb11ecf00
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | sysTid=2340 nice=0 cgrp=default sched=0/0 handle=0x9dcfa930
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | state=S schedstat=( 258512417 177949112 2673 ) utm=4 stm=21 core=0 HZ=100
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | stack=0x9dbfc000-0x9dbfe000 stackSize=1022KB
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   | held mutexes=
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: sk_wait_data+0x97/0xa0
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: tcp_recvmsg+0x5ad/0x9d0
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: inet_recvmsg+0x7d/0x90
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: sock_recvmsg+0x8e/0xc0
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: SYSC_recvfrom+0xc7/0x140
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: SyS_recvfrom+0x2d/0x30
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: SyS_socketcall+0x1da/0x2f0
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   kernel: syscall_call+0x7/0xb
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #00 pc 00084b11  /system/lib/libc.so (recvfrom+17)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #01 pc 0002730d  /system/lib/libc.so (recv+66)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #02 pc 000ffd9f  /data/app/Mono.Android.DebugRuntime-1/lib/x86/libmonosgen-32bit-2.0.so (???)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #03 pc 000fc27c  /data/app/Mono.Android.DebugRuntime-1/lib/x86/libmonosgen-32bit-2.0.so (???)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #04 pc 0025e721  /data/app/Mono.Android.DebugRuntime-1/lib/x86/libmonosgen-32bit-2.0.so (???)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #05 pc 00080a93  /system/lib/libc.so (__pthread_start(void*)+56)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #06 pc 00021952  /system/lib/libc.so (__start_thread+25)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   native: #07 pc 000170b6  /system/lib/libc.so (__bionic_clone+70)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366]   (no managed stack frames)
05-26 22:26:02.450 F/art     ( 2320): art/runtime/runtime.cc:366] 
05-26 22:26:02.451 F/art     ( 2320): art/runtime/runtime.cc:366] 
05-26 22:26:02.451 F/libc    ( 2320): Fatal signal 6 (SIGABRT), code -6 in tid 2320 (ings.hsselogger)
Xamarin Inspector requires an Enterprise subscription
Comment 3 pragma.mobilexp 2016-05-26 21:03:00 UTC
Created attachment 16115 [details]
Repo of the issue
Comment 4 pragma.mobilexp 2016-05-26 21:05:03 UTC
From the attached repo, it seems to happen when you have multiple levels of inheritance  from the Android.App.Application class.  I include 3 scenarios in the repo.  A simple scenario that works, one that shows that it is now broken, and a work around you have to now do to get it working again.  Let me know if you require more info.
Comment 5 pragma.mobilexp 2016-05-27 05:54:53 UTC
added repo of issue
Comment 6 Luis Aguilera 2016-05-27 13:38:06 UTC
Moving to C8 for the time being and lowering the severity on account of the workaround described.
Comment 7 Jonathan Pryor 2016-05-27 19:31:28 UTC
The reason why ThisUsedToWorkScenario doesn't work is because of a bug in the Java Callable Wrapper generator: The C# class:

    public partial class ThisUsedToWorkScenario : AppBase {
    }

Results in the Java declaration:

    public class ThisUsedToWorkScenario
    	extends android.app.Application
    	implements
    		mono.android.IGCUserPeer

Note that the base class is android.app.Application, *not* AppBase.
Comment 8 Jonathan Pryor 2016-05-27 19:59:56 UTC
What's interesting is that using the OSS Java.Interop and/or xamarin-android repo, ThisUsedToWorkScenario has the correct base class, which means the bug was introduced after we created those repos.

The cause appears to be due to the fix for Bug #40976, which does:

> if (JniType.IsApplication(type) && !string.IsNullOrEmpty(ApplicationJavaClass))
>     extendsType = ApplicationJavaClass;

ApplicationJavaClass is always android.app.Application (unless overridden by the $(AndroidApplicationJavaClass) MSBuild property), so this change overrides what the normally detected Application base class would be, introducing this breakage.
Comment 9 Jonathan Pryor 2016-06-29 17:44:13 UTC
This should be fixed in monodroid/75b6f7fc and https://github.com/xamarin/java.interop/commit/74573d957bdd1458136696831c0f854d01fb4cbd
Comment 11 Jonathan Pryor 2016-07-01 02:39:12 UTC
Fixed in monodroid/cycle7/ef7f4544, and should be present in a future Xamarin.Android 6.1.x release -- *probably* 6.1.2.
Comment 12 abhi 2016-07-07 11:58:35 UTC
I have checked this  issue latest Xamarin.VisualStudio_4.1.0.565 and Xamarin.Android 6.1.2.0 I build of C7 trunk lane and observed that the fix have been merged into C7 lane.
Environment Info:https://gist.github.com/abhisheks360/0f61c3eb34f9397a4a07f6002ac9421f

Here is the Screencast: http://www.screencast.com/t/WlO0ezdrBS7

Thanks!!

Note You need to log in before you can comment on or make changes to this bug.